<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Lista składowych</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d6/d3f/class_matrix.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Matrix&lt; T, SIZE &gt; Lista składowych</div>  </div>
</div><!--header-->
<div class="contents">

<p>To jest kompletna lista składowych dla <a class="el" href="../../d6/d3f/class_matrix.html">Matrix&lt; T, SIZE &gt;</a>, uwzględniająca wszystkie dziedziczone składowe.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html#ac2c8303fdc06fd4c7e292455eae5c416">Determinant</a>(Matrix&lt; T, SIZE &gt; tmp) const</td><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html">Matrix&lt; T, SIZE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html#af127708865eb29c4157be68d2d783b65">GaussElimination</a>(Matrix&lt; T, SIZE &gt; &amp;matrix1) const</td><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html">Matrix&lt; T, SIZE &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html#a3e08e51548e9fc339d66dcec03064d59">Matrix</a>()</td><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html">Matrix&lt; T, SIZE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html#a864733be03d3a3422113c4c5bbe0338b">Matrix</a>(double number)</td><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html">Matrix&lt; T, SIZE &gt;</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html#ab20a4e5f5647febc866fb32744f54f86">matrix</a></td><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html">Matrix&lt; T, SIZE &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html#a8d88b4b485a4716a41159891584b0870">operator()</a>(unsigned int row, unsigned int column)</td><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html">Matrix&lt; T, SIZE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html#a7b6c9a81b3ce322779c80af86eaa1eb4">operator()</a>(unsigned int row, unsigned int column) const</td><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html">Matrix&lt; T, SIZE &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html#aa32da33cf90c74d4a8083a08a3bf1001">operator*</a>(const Vector&lt; T, SIZE &gt; &amp;vector) const</td><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html">Matrix&lt; T, SIZE &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html#a4722df35d85e6bb1ac4666cd36063e52">SwitchRows</a>(Matrix&lt; T, SIZE &gt; &amp;matrix1) const</td><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html">Matrix&lt; T, SIZE &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html#ad5c9497d13380b10beaff841f7f5216f">Transpose</a>()</td><td class="entry"><a class="el" href="../../d6/d3f/class_matrix.html">Matrix&lt; T, SIZE &gt;</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
